Start a Data API from a semantic model or a table
curl --request POST \
--url https://api.example.com/api/data-apis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"source_id": "<string>",
"title": "",
"description": ""
}
'import requests
url = "https://api.example.com/api/data-apis"
payload = {
"name": "<string>",
"source_id": "<string>",
"title": "",
"description": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', source_id: '<string>', title: '', description: ''})
};
fetch('https://api.example.com/api/data-apis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/data-apis",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'source_id' => '<string>',
'title' => '',
'description' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/data-apis"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"source_id\": \"<string>\",\n \"title\": \"\",\n \"description\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/data-apis")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"source_id\": \"<string>\",\n \"title\": \"\",\n \"description\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/data-apis")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"source_id\": \"<string>\",\n \"title\": \"\",\n \"description\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"title": "<string>",
"description": "<string>",
"owner": "<string>",
"source_kind": "semantic_model",
"source_id": "<string>",
"source_table": "<string>",
"source_label": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"versions": [
{
"version": 123,
"status": "draft",
"created_at": "2023-11-07T05:31:56Z",
"context_hash": "<string>",
"created_by": "<string>",
"published_by": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"retired_at": "2023-11-07T05:31:56Z"
}
],
"endpoint_path": "<string>",
"domain": "<string>",
"latest_version": 123,
"has_draft": false,
"can_edit": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Data API
Start a Data API from a semantic model or a table
Creates the API and its first draft, described from DataHub and the model.
POST
/
api
/
data-apis
Start a Data API from a semantic model or a table
curl --request POST \
--url https://api.example.com/api/data-apis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"source_id": "<string>",
"title": "",
"description": ""
}
'import requests
url = "https://api.example.com/api/data-apis"
payload = {
"name": "<string>",
"source_id": "<string>",
"title": "",
"description": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', source_id: '<string>', title: '', description: ''})
};
fetch('https://api.example.com/api/data-apis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/data-apis",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'source_id' => '<string>',
'title' => '',
'description' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/data-apis"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"source_id\": \"<string>\",\n \"title\": \"\",\n \"description\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/data-apis")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"source_id\": \"<string>\",\n \"title\": \"\",\n \"description\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/data-apis")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"source_id\": \"<string>\",\n \"title\": \"\",\n \"description\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"title": "<string>",
"description": "<string>",
"owner": "<string>",
"source_kind": "semantic_model",
"source_id": "<string>",
"source_table": "<string>",
"source_label": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"versions": [
{
"version": 123,
"status": "draft",
"created_at": "2023-11-07T05:31:56Z",
"context_hash": "<string>",
"created_by": "<string>",
"published_by": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"retired_at": "2023-11-07T05:31:56Z"
}
],
"endpoint_path": "<string>",
"domain": "<string>",
"latest_version": 123,
"has_draft": false,
"can_edit": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Start a Data API from an existing asset. Creates its first draft.
Response
Successful Response
What a Data API reads.
Available options:
semantic_model, table Show child attributes
Show child attributes
e.g. /api/data/orders_daily/v2
Newest published version.
Was this page helpful?

